\name{perform.STGP}
\alias{perform.STGP}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Performance of the STGP fitness.
}
\description{
The function provides the performance of the scalar-on-image regression via the soft-thresholed Gaussian process.
}
\usage{
perform.STGP(beta, fit, thresh = 0.5)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{beta}{
A vector of true beta.
}
  \item{fit}{
A list of STGP fit results.
}
  \item{thresh}{
The threshold to determine the fitted value of beta: If \code{Prob(beta!=0|data)<thresh}, then \code{beta=0}, else \code{beta=1}.
}
}

\value{
A list containing the performance of the fitness:
\item{beta.mse}{
The MSE of the estimates of beta.
}
\item{table}{
The contingency table of the fit.
}
\item{Sens}{
A table of sensitivity, specificity, PPV and NPV.
}
}
\author{
Weiyu Li (weiyuli@umich.edu), Jian Kang(jiankang@umich.edu), 
Brain J. Reich (bjreich@ncsu.edu), Ana-Maria Staicu (astaicu@ncsu.edu)
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
## Simulation
sim1 <- sim.STGP(100,500,25,r=c(0.1,0.5))

## Fit
fit1 <- STGP(sim1$Y,sim1$X,sim1$B,sim1$ADJ,t_min=0,t_max=3)

## Performance
Perform1 <- perform.STGP(sim1$beta,fit1)
print(Perform1)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{Performance}
\keyword{MSE}
\keyword{Contigency table}
\keyword{Sensitivity}
