\name{plot3d.STGP}
\alias{plot3d.STGP}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
3D plots of the scalar-on-image model predictors.
}
\description{
Theses functions are useful for plotting the spatially distributed imaging predictors in 2,3-dimensional vector space.
}
\usage{
plot3d.STGP(coords, img, xlab = "", ylab = "", zlab = "", main = "", 
            dim = 2, show = c("level", "cloud"), split = NULL, more = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{coords}{
The coordinates of the voxels.
}
  \item{img}{
The values of the points in the plot.
}
  \item{xlab}{
A title for the x axis: see \code{\link{title}}.
}
  \item{ylab}{
A title for the y axis: see \code{\link{title}}.
}
  \item{zlab}{
A title for the z axis: see \code{\link{title}}.
}
  \item{main}{
An overall title for the plot: see \code{\link{title}}.
}
  \item{dim}{
The dimension of region of the imaging predictors.
}
  \item{show}{
"level" of levelplot; "cloud" for scatter plot. See also \code{\link{levelplot}}, \code{\link{cloud}.}
}
  \item{split}{
The location of the plot and the split of the page. See also \code{\link{print.trellis}}.
}
  \item{more}{
Whether more plots will follow on this page. See also \code{\link{print.trellis}}.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
An object of class "trellis". See also \code{\link{print.trellis}}.
}

\author{
Weiyu Li (weiyuli@umich.edu), Jian Kang(jiankang@umich.edu), 
Brain J. Reich (bjreich@ncsu.edu), Ana-Maria Staicu (astaicu@ncsu.edu)
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
 \code{\link{levelplot}}, \code{\link{cloud}}, \code{\link{print.trellis}}.
}
\examples{
## 2D

## Simulation
sim2 <- sim.STGP(10,20,5,dim=2,r=1/4)
## Plot
plot3d.STGP(sim2$voxel,sim2$beta,show)

## Fit the model
fit2 <- STGP(sim2$Y,sim2$X,sim2$B,sim2$ADJ,0,3)

## Plot the resluts
plot3d.STGP(sim2$voxel,sim2$beta,show="cloud",main="True beta",split=c(1,1,2,2),more=TRUE)
plot3d.STGP(sim2$voxel,fit2$beta.mn,show="cloud",main="E(beta|data)",split=c(2,1,2,2),more=TRUE)
plot3d.STGP(sim2$voxel,fit2$beta.var,show="cloud",main="Var(beta|data)",split=c(1,2,2,2),more=TRUE)
plot3d.STGP(sim2$voxel,fit2$beta.nz,show="cloud",main="Prob(beta!=0|data)",split=c(2,2,2,2))


## 3D

sim3 <- sim.STGP(10,50,5,dim=3,r=1/4)
plot3d.STGP(sim3$voxel,sim3$beta,main="beta",dim=3)
}

\keyword{plot}

