#include <RcppArmadillo.h>

// [[Rcpp::depends(RcppArmadillo)]]

using namespace Rcpp;
using namespace arma;

// [[Rcpp::export]]

List updateCoef(int L, List active, arma::vec alpha, List nei, double rho, arma::vec siga,
                arma::vec Z, arma::mat B, double thresh, arma::vec w, arma::vec Xb, arma::mat X, 
                arma::vec b, arma::vec Y, arma::vec beta, double sige, double taua){
  
  int nB = B.n_rows;
  
  int nXb = Xb.n_elem;
  vec canXb(nXb);
  
  double ssige = -beta[1] / (2*sige*sige);
  vec dY(size(Y));
  dY = 2*(Y-beta[0]);
  
  for (int j=0; j<L; j++){
    IntegerVector activej = as<IntegerVector>(active[j]);
    int na =activej.size();
    arma::uvec uact(na);
    for(int i=0; i<na; i++){uact(i) = activej[i]-1;}
    
    IntegerVector neij = as<IntegerVector>(nei[j]);
    int nn = neij.size();
    arma::uvec unei(nn);
    for(int i=0; i<nn; i++){unei(i) = neij[i]-1;}
    
    double MMM = mean( alpha(unei) );
    double cana = Rcpp::rnorm(1, rho*MMM, siga(j))[0];
    
    arma::vec canZ(na);
    arma::vec Bcolj(nB);
    Bcolj = B.col(j);
    double tem = cana - alpha(j);
    canZ = Z(uact) + Bcolj(uact) * tem;
    
    arma::vec canb(na, fill::zeros);
    arma::vec wact = w(uact);
    for (int i=0; i<na; i++){
      double canbi = canZ(i) * wact(i);
      if (canbi > thresh){canb(i) = canbi - thresh;}
      if (canbi < (-thresh)){canb(i) = canbi + thresh;}
    }
    canb = taua * canb;
    
    vec diffXb(nXb);
    diffXb = X.cols(uact) * (canb - b(uact));
    
    canXb = Xb + diffXb;
    
    double diffll;
    diffll = dot(diffXb, ((canXb + Xb) * beta[1] - dY ) ) * ssige;
    
    if(log(runif(1)[0]) < diffll){
      alpha(j) = cana;
      Z(uact) = canZ;
      b(uact) = canb;
      Xb = canXb;
    }
    
  }
  
  return List::create(
    Rcpp::Named("u_alpha") = alpha,
    Rcpp::Named("u_Z") = Z,
    Rcpp::Named("u_b") = b,
    Rcpp::Named("u_Xb") = Xb
  );
}

